// uses code from http://www.w3schools.com/ajax

function GetXmlHttpObject()
{
	var xmlHttp = null;
	try
	{
		// Firefox, Opera 8.0+, Safari
		xmlHttp = new XMLHttpRequest();
	}
	catch (e)
	{
		// Internet Explorer
		try
		{
			xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch (e)
		{
			try
			{
				xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");	
			}
			catch (e)
			{
				xmlHttp = null;
			}
		}
	}
	return xmlHttp;
}

//------------------------------------------------------------------------------------------------------------------------------

function sendGET(url, source_container_id, recipient_container_id)
{ 
	xmlHttp = GetXmlHttpObject();
	if (xmlHttp == null)
	{
		  alert ("Your browser does not support AJAX!");
		  return;
	}
	
	xmlHttp.open("GET", url, true); //we use synchronous transfer to simplify dealing with different recipient containers in page
	xmlHttp.onreadystatechange = function()
								{
									if (xmlHttp.readyState == 4 && xmlHttp.status == 200) 
									{
										//perform XSLT
										xml = xmlHttp.responseText;

										html = create_html(xml);

										document.getElementById(recipient_container_id).innerHTML = html;
									}
								}
	xmlHttp.send(null);
}

//------------------------------------------------------------------------------------------------------------------------------
